Name:		python-hwdata
Version:	2.3.7
Release:	%mkrel 5
Summary:	Python bindings to hwdata package
Group:		Development/Python
License:	GPLv2
URL:		https://github.com/xsuchy/python-hwdata
# git clone https://github.com/xsuchy/python-hwdata.git
# cd python-hwdata
# tito build --tgz
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch

%description
Provide python interface to database stored in hwdata package.
It allows you to get human readable description of USB and PCI devices.

%package -n python3-hwdata
Summary:	Python 3 bindings to hwdata package
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pylint)
Requires:	hwdata
%{?python_provide:%python_provide python3-hwdata}

%description -n python3-hwdata
Provide python interface to database stored in hwdata package.
It allows you to get human readable description of USB and PCI devices.

This is the Python 3 build of the module.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%check
python3-pylint hwdata.py example.py || :

%files -n python3-hwdata
%license LICENSE
%doc README.md example.py
%doc html
%{python3_sitelib}/*



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.3.7-5.mga8
+ Revision: 1536331
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 2.3.7-4.mga8
+ Revision: 1453986
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 2.3.7-3.mga7
+ Revision: 1351687
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.3.7-2.mga7
+ Revision: 1288949
- Mageia 7 Mass Rebuild

* Wed May 09 2018 daviddavid <daviddavid> 2.3.7-1.mga7
+ Revision: 1227838
- new version: 2.3.7
- rename python-hwdata to python2-hwdata

* Sat Aug 05 2017 pterjan <pterjan> 2.3.4-5.mga7
+ Revision: 1135452
- Rebuild for python 3.6

* Mon Jun 05 2017 ngompa <ngompa> 2.3.4-4.mga6
+ Revision: 1106769
- Port to Mageia
- imported package python-hwdata


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.3.4-2
- Rebuild for Python 3.6

* Thu Sep 22 2016 Miroslav Suchý <miroslav@suchy.cz> 2.3.4-1
- run pylint in %%check
- require hwdata in python 3 package too (jdobes@redhat.com)
- implement PNP interface
- errors in usb.ids should not be fatal
- change upstream url in setup.py

* Wed Jan 28 2015 Miroslav Suchý <msuchy@redhat.com> 2.3.3-1
- upstream location changed

* Wed Jan 28 2015 Miroslav Suchý <msuchy@redhat.com>
- move upstream location

* Wed Dec 04 2013 Miroslav Suchý <msuchy@redhat.com> 1.10.1-1
- create python3-hwdata subpackage
- Bumping package versions for 1.9
- %%defattr is not needed since rpm 4.4

* Fri Mar 02 2012 Miroslav Suchý 1.7.3-1
- 798375 - fix PCI device name translation (Joshua.Roys@gtri.gatech.edu)
- use setup from distutils

* Fri Mar 02 2012 Jan Pazdziora 1.7.2-1
- Update the copyright year info.

* Fri Mar 02 2012 Jan Pazdziora 1.7.1-1
- correct indentation (mzazrivec@redhat.com)

* Mon Oct 31 2011 Miroslav Suchý 1.6.2-1
- point URL to specific python-hwdata page

* Fri Jul 22 2011 Jan Pazdziora 1.6.1-1
- We only support version 14 and newer of Fedora, removing conditions for old
  versions.

* Mon Apr 26 2010 Miroslav Suchý <msuchy@redhat.com> 1.2-1
- 585138 - change %%files section and patial support for python3

* Fri Apr 23 2010 Miroslav Suchý <msuchy@redhat.com> 1.1-1
- initial release
